org.eclipse.emf.cdo.security

## Interface SecurityItemProvider

- All Known Subinterfaces:
    Directory, InternalSecurityManager, ISecurityManager, Realm, SecurityItemContainer
  All Known Implementing Classes:
    DirectoryImpl, RealmImpl

      public interface SecurityItemProvider

  Provides `security items` such as `users` or `roles` by their given IDs.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Group` | `getGroup(String id)`
    `Role` | `getRole(String id)`
    `User` | `getUser(String id)`

- - ### Method Detail

    - #### getRole

          Role getRole(String id)

    - #### getGroup

          Group getGroup(String id)

    - #### getUser

          User getUser(String id)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html